Quassel IRC - Feature #572

Make nicks with different capitalisation or appended underscores use the same colour.
02/20/2009 10:12 PM - amiconn

Status: Resolved Start date: 02/20/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

0S: Any

Description

Sometimes users use their nick with different capitalisation, or there are one or more underscores appended when there's a nick
collision (multiple clients, reconnect etc). It would be nice if those nicks would use the same colour in the client.

This could be done by converting the nick to all-lowercase (or all-uppercase) and stripping all trailing underscores before calculating
the hash.

There are more possible nick variations than those two (e.g. prepended numbers in brackets), but | think the mangling has to stop
somewhere...

Associated revisions

Revision ebe83288211f05692eb8f420cd0e54083d8b0927 - 06/09/2009 10:28 PM - Marcus Eggenberger

Fixes #572 - changes to nick coloring
Nick color is now determined case insensitive, based only on the nick,
and ignored trailing underscores.

Revision ebe83288 - 06/09/2009 10:28 PM - Marcus Eggenberger

Fixes #572 - changes to nick coloring
Nick color is now determined case insensitive, based only on the nick,
and ignored trailing underscores.

History

#1 - 03/07/2009 04:32 PM - Lingerance

amiconn wrote:
This could be done by converting the nick to all-lowercase (or all-uppercase) and stripping all trailing underscores before calculating the hash.

There are more possible nick variations than those two (e.g. prepended numbers in brackets), but | think the mangling has to stop somewhere...

Personally | think a saner approach would be to just hash the usermask without the nick. That hardly ever changes.

#2 - 06/10/2009 01:13 AM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset ebe8328821f{05692eb8f420cd0e54083d8b0927.
